> For the complete documentation index, see [llms.txt](https://guia.fenicio.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://guia.fenicio.help/developers/integracion-de-comercios/servicios/ubicar-en-tienda.md).

# Ubicar en tienda

Este servicio deberá indicar los locales en los que exista stock disponible (para venta presencial) para al menos una de las presentaciones de un producto / variante determinado.

<table data-full-width="false"><thead><tr><th width="113">Método</th><th>URL</th></tr></thead><tbody><tr><td><code>GET</code></td><td><code>https://{ApiURL}/ubicarentienda</code></td></tr></tbody></table>

## Request

<table data-full-width="false"><thead><tr><th width="201.33333333333331">Clave</th><th width="134">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>codigoProducto</code></strong></td><td>String(32)</td><td>Código del producto base.</td></tr><tr><td><strong><code>codigoVariante</code></strong></td><td>String(32)</td><td>Código de la variante.</td></tr><tr><td><strong><code>skus</code></strong></td><td>List&#x3C;String></td><td>Lista de SKUs existentes en Fenicio para presentaciones del producto/variante requerido.</td></tr></tbody></table>

### Ejemplo <a href="#ejemplo" id="ejemplo"></a>

```json
{
  "_idSolicitud": "200325120000-FNSHPUY-3c7621ed5a707177c1421cce79338668",
  "codigoProducto": "548972",
  "codigoVariante": "002",
  "skus": [
    "548972-002-S",
    "548972-002-L",
    "548972-002-XL"
  ]
  }
```

## Response

La respuesta deberá incluir en la clave **`ubicarEnTienda`** una lista de objetos por cada local con disponibilidad de al menos una de las presentaciones.

<table data-full-width="false"><thead><tr><th width="300">Clave</th><th width="272.666748046875">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>local</code></strong></td><td>String(16) | null</td><td>Código del local.</td></tr><tr><td><strong><code>presentacionesDisponibles</code></strong></td><td>List&#x3C;<a href="#presentaciondisponible"><strong>PresentacionDisponible</strong></a>></td><td>Lista de objetos, uno por cada presentación disponible en el local.</td></tr></tbody></table>

## PresentacionDisponible <a href="#presentaciondisponible" id="presentaciondisponible"></a>

<table data-full-width="false"><thead><tr><th width="131">Clave</th><th width="117">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>codigo</code></strong></td><td>String(32)</td><td>Código de la presentación.</td></tr><tr><td><strong><code>stock</code></strong></td><td>Int(6)</td><td>Cantidad de unidades disponibles para venta presencial en dicho local.</td></tr></tbody></table>

### Ejemplo <a href="#ejemplo" id="ejemplo"></a>

```json
{
  "status": "OK",
  "mensaje": null,
  "_idSolicitud": "200325120000-FNSHPUY-3c7621ed5a707177c1421cce79338668",
  "data": {
    "ubicarEnTienda": [
      {
        "local": "01",
        "presentacionesDisponibles": [
          {
            "codigo": "S",
            "stock": 5
          },
          {
            "codigo": "L",
            "stock": 2
          }
        ]
      },
      {
        "local": "02",
        "presentacionesDisponibles": [
          {
            "codigo": "S",
            "stock": 10
          }
        ]
      }
    ]
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://guia.fenicio.help/developers/integracion-de-comercios/servicios/ubicar-en-tienda.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
